Subject: Re: [PATCH] powerpc: add FHCI USB, FSL MCU, FSL UPM and GPIO LEDs bindings

From: Anton Vorontsov <[email-masked]>
Date: Thu, 3 Jul 2008 22:24:41 +0400

On Thu, Jul 03, 2008 at 12:50:01PM -0500, Kumar Gala wrote:
>
> On Jul 3, 2008, at 12:48 PM, Anton Vorontsov wrote:
>
>> This patch adds few bindings for the new drivers to be submitted  
>> through
>> the appropriate maintainers.
>>
>> Signed-off-by: Anton Vorontsov <[email-masked]>
>> ---
>>
>> Segher, thanks for the comments on the previous version. Do you see  
>> any
>> issues with this one or anything I could improve further?
>>
>> And if there are no issues... Kumar, could you apply this for  
>> powerpc-next?
>>
>> Thanks.
>>
>> Documentation/powerpc/booting-without-of.txt |  111 +++++++++++++++++ 
>> +++++++++
>> 1 files changed, 111 insertions(+), 0 deletions(-)
>>
>> diff --git a/Documentation/powerpc/booting-without-of.txt b/ 
>> Documentation/powerpc/booting-without-of.txt
>> index b68684d..a7ea549 100644
>> --- a/Documentation/powerpc/booting-without-of.txt
>> +++ b/Documentation/powerpc/booting-without-of.txt
>> @@ -62,6 +62,10 @@ Table of Contents
>>       s) Freescale on board FPGA
>>       t) Freescael MSI interrupt controller
>>       u) Freescale General-purpose Timers Module
>> +      v) Freescale QUICC Engine USB Controller
>> +      w) Freescale MCU with MPC8349E-mITX compatible firmware
>
> MCU doesn't mean much to me.  Its good to expand out the acronym at  
> least once.

MCU stands for MicroController Unit, and even expanded this doesn't
mean much to anybody. :-) Freescale documentation names it as boards'
"MCU Subsystem", that is, the chip provides fan control, GPIOs,
software halt, etc. Basically, it is boards' power management companion
chip. I don't know how to name it more correctly, so I adhered to
documentation's naming (they simply call it MCU).

^^ I'll add some of these words to the node description though.

Thanks,

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2